PHP Manual
Prev |  | Next

# ps_symbol_width

(PECL)

ps_symbol_width -- Gets width of a glyph

## Description

float ps_symbol_width ( resource psdoc, int ord [, int fontid [, float size]] )

Calculates the width of a glyph in points if it was output in the given font and font size. This function needs an Adobe font metrics file to calculate the precise width.

## Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`ord`

  The position of the glyph in the font encoding vector.

`fontid`

  The identifier of the font to be used. If not font is specified the current font will be used.

`size`

  The size of the font. If no size is specified the current size is used.

## Return Values

The width of a glyph in points.

## See Also

ps_symbol()
ps_symbol_name()

Prev | Home | Next
ps_symbol_name | Up | ps_symbol